:root
{
    --transition-time:2s;
}

.vide-scroll:parent{
    overflow: hidden;
}


.vide-scroll{
    transition: --transition-time;
}

/*Basic : show*/
.vide_show{
    opacity: 0;
}
.vide_show_effect {
    opacity: 1;
}
/*--- MOVE ---*/
/* From down */
.vide_fromdown{
    transform: translate(0, +100%)
}
.vide_fromdown_effect{
    transform: translate(0, 0)
}
/* From up */
.vide_fromup{
    transform: translate(0, -100%)
}
.vide_fromup_effect{
    transform: translate(0, 0)
}
/* From left */
.vide_fromleft{
    transform: translate(-100%, 0)
}
.vide_fromleft_effect{
    transform: translate(0, 0)
}
/* From right */
.vide_fromright{
    transform: translate(100%, 0)
}
.vide_fromright_effect{
    transform: translate(0, 0)
}

/*Rotate with differentes angle*/
.vide_rotate720_effect {
    transform: rotate(720deg);
}
.vide_rotate360_effect {
    transform: rotate(360deg);
}